<?php
/**
* @version 0.1
* @author recens
* @license GPL
* @copyright   (http://progroup.by)
**/

/**
*    
*
*   PNG, GIF  JPEG .
*     .
*
**/

require_once $_SERVER["DOCUMENT_ROOT"].'/config.core.php';
require_once MODX_CORE_PATH.'config/'.MODX_CONFIG_KEY.'.inc.php';
include_once MODX_CORE_PATH . 'model/modx/modx.class.php';

$modx = new Modx();
$modx->initialize('web');

require_once MODX_ASSETS_PATH.'avatars/image.php';

$uploaddir = MODX_ASSETS_PATH.'avatars/images/';

$ext = strtolower(substr(strrchr($_FILES['myfile']['name'],'.'), 1));
$type=0;
switch (true)
{
    case in_array($ext, array('jpeg','jpe','jpg')):
    {
        $p = 'jpeg';
		$type=1;
        break;
    }
    case ($ext=='gif'):
    {
        $p = 'gif';
		$type=2;
        break;
    }
    case ($ext=='png'):
    {
        $p = 'png';
		$type=3;
        break;
    }
}

if ($type!=0) {
	//$user = $modx->getObject('modUser',$userId);
	if ($modx->user->get('username') == '(anonymous)') { 
		echo 'user not ligin';
		exit();
	}
	
	$userid = $modx->user->id;
	$file_name = md5($user->id.time());
	crop($_FILES['myfile']['tmp_name'], $_FILES['myfile']['tmp_name']);
	resize($_FILES['myfile']['tmp_name'], $_FILES['myfile']['tmp_name'], 80, 80);
	move_uploaded_file($_FILES['myfile']['tmp_name'], $uploaddir.$file_name.'.'.$p);
	
	
	
	$prof=$modx->user->getOne('Profile');
	$extuser = $prof->get('extended');
	$old_ava = $prof->set('get');
	$prof->set('photo',$file_name.'.'.$p);
	$prof->save();
	if ($old_ava!='') unlink($uploaddir.$old_ava);
	echo $file_name.'||ok';
}
else {
	echo 'not support file type';
}
?>
